pub struct SummaryRecord {
pub buying_power: Option<Decimal>,
pub portfolio_evaluation: Option<Decimal>,
pub commission: Option<Decimal>,
pub buying_power_by_currency: Vec<BuyingPowerByCurrency>,
}Expand description
The summary of the portfolio: GET /md/v2/Clients/{exchange}/{portfolio}/summary and the message of the
summaries subscription.
Fields§
§buying_power: Option<Decimal>The buying power.
portfolio_evaluation: Option<Decimal>The evaluation of the portfolio.
commission: Option<Decimal>The commission.
buying_power_by_currency: Vec<BuyingPowerByCurrency>The buying power by currency.
Trait Implementations§
Source§impl Clone for SummaryRecord
impl Clone for SummaryRecord
Source§fn clone(&self) -> SummaryRecord
fn clone(&self) -> SummaryRecord
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for SummaryRecord
impl Debug for SummaryRecord
Source§impl Default for SummaryRecord
impl Default for SummaryRecord
Source§fn default() -> SummaryRecord
fn default() -> SummaryRecord
Returns the “default value” for a type. Read more
Source§impl<'de> Deserialize<'de> for SummaryRecord
impl<'de> Deserialize<'de> for SummaryRecord
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for SummaryRecord
impl RefUnwindSafe for SummaryRecord
impl Send for SummaryRecord
impl Sync for SummaryRecord
impl Unpin for SummaryRecord
impl UnsafeUnpin for SummaryRecord
impl UnwindSafe for SummaryRecord
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more